commit:     0ea07a1800060e2738fc9c56294404a2cdd0ffbf
Author:     Mason Rocha <turret <AT> turret <DOT> cyou>
AuthorDate: Sat Dec 13 23:58:33 2025 +0000
Commit:     Michael Orlitzky <mjo <AT> gentoo <DOT> org>
CommitDate: Mon Dec 15 08:27:22 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0ea07a18

app-text/zathura: add 0.5.14

Closes: https://github.com/gentoo/gentoo/pull/45018
Signed-off-by: Mason Rocha <turret <AT> turret.cyou>
Signed-off-by: Michael Orlitzky <mjo <AT> gentoo.org>

 app-text/zathura/Manifest              |  1 +
 app-text/zathura/zathura-0.5.14.ebuild | 92 ++++++++++++++++++++++++++++++++++
 2 files changed, 93 insertions(+)

diff --git a/app-text/zathura/Manifest b/app-text/zathura/Manifest
index 80b078c4680d..34b0be810997 100644
--- a/app-text/zathura/Manifest
+++ b/app-text/zathura/Manifest
@@ -1,2 +1,3 @@
 DIST zathura-0.5.13.tar.gz 395362 BLAKE2B 
e66f10d7b73c6560b2b3215ec620e33e306ff9d78274cc271fcfb1eadc337880c6d05cc9a94f7219da5fbe84dd438273e378dc1d9fd0ef13a3fb614441083959
 SHA512 
a6d833430de7e9c5767a86aff2188a2ce9e00ebd6fcfc41b2b35b7d203a011b14fddb7026bb258c6ff772eea2516bd6dd06e2390ed4770f4ae1f8b5cf65d30b1
+DIST zathura-0.5.14.tar.gz 399930 BLAKE2B 
fd3396e4a56a484009188d87548743423e3a14060aee2790174d0ca6aadff33c5e66ba668ae3f83f3069baa851571a4bd05a44602ed0fcc3b078df6aaa6a5527
 SHA512 
1bf77b3e2a24644bbad3bff8a2d603fc3bf5a8803e217c38c0d30ffa2731ff083de7f5cfe0b4ce93923a66b91351118f267a22fea922238bb044634d7c6bc091
 DIST zathura-0.5.8.tar.gz 219371 BLAKE2B 
c7c163e0c1cd5e344ae566ab71ad66d51b89cacd11ef9b335589c0fa705e7a300adab680b7c13a197da3c10b5161656fbb9c8449667eb05e64f0506bf254e675
 SHA512 
6954f8bf8c76526e86a4e335c18c3c68f509fbbe1081f7c74d333f8a9ba83bc5da971ad744f91408f8b0fb8f0b647ae07f02601b5efa97961155ba193c8777f6

diff --git a/app-text/zathura/zathura-0.5.14.ebuild 
b/app-text/zathura/zathura-0.5.14.ebuild
new file mode 100644
index 000000000000..9508572450f2
--- /dev/null
+++ b/app-text/zathura/zathura-0.5.14.ebuild
@@ -0,0 +1,92 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic meson xdg
+
+DESCRIPTION="Highly customizable & functional document viewer"
+HOMEPAGE="https://pwmt.org/projects/zathura/";
+
+if [[ ${PV} == *9999 ]]; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/pwmt/zathura.git";
+else
+       SRC_URI="https://github.com/pwmt/zathura/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86 ~amd64-linux ~x86-linux"
+fi
+
+LICENSE="ZLIB"
+SLOT="0/6.7" # plugin versions api.abi (see meson.build)
+IUSE="+man landlock seccomp synctex test wayland X"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="
+       test? ( X )
+       || ( wayland X )
+"
+
+RDEPEND="
+       dev-libs/json-glib
+       dev-db/sqlite:3
+       >=dev-libs/girara-0.4.5-r1:=[X?]
+       >=dev-libs/glib-2.76:2
+       sys-apps/file
+       x11-libs/cairo
+       >=x11-libs/gtk+-3.24:3[wayland?,X?]
+       x11-libs/pango
+       man? ( dev-python/sphinx )
+       seccomp? ( sys-libs/libseccomp )
+       synctex? ( app-text/texlive-core )
+"
+DEPEND="
+       ${RDEPEND}
+       >=sys-kernel/linux-headers-5.13
+"
+BDEPEND="
+       >=sys-devel/gettext-0.19.8
+       virtual/pkgconfig
+       test? (
+               dev-libs/appstream
+               x11-misc/xvfb-run
+       )
+"
+
+src_configure() {
+       # defang automagic dependencies
+       use X || append-flags -DGENTOO_GTK_HIDE_X11
+       use wayland || append-flags -DGENTOO_GTK_HIDE_WAYLAND
+
+       local emesonargs=(
+               -Dconvert-icon=disabled
+               $(meson_feature man manpages)
+               $(meson_feature landlock)
+               $(meson_feature seccomp)
+               $(meson_feature synctex)
+               $(meson_feature test tests)
+       )
+       meson_src_configure
+}
+
+src_install() {
+       meson_src_install
+
+       if use seccomp || use landlock; then
+               mv "${ED}"/usr/bin/zathura{,-full} || die
+               dosym zathura-sandbox /usr/bin/zathura
+       fi
+}
+
+pkg_postinst() {
+       if use seccomp || use landlock; then
+               elog "Zathura has been installed as a symlink to 
zathura-sandbox due to USE"
+               elog "seccomp or USE landlock.  Some features such as printing 
or hyperlinks"
+               elog "may be unavailable when running with the default 
executable (zathura)."
+               elog "If you require these features, you can temporarily switch 
to using"
+               elog "zathura-full or disable these use flags."
+               if ! use elibc_glibc; then
+                       ewarn ""
+                       ewarn "Upstream zathura does not test sandboxing rules 
on non-glibc"
+                       ewarn "environments.  Your mileage may vary using the 
sandboxed variant."
+               fi
+       fi
+}

Reply via email to